# -*- encoding: utf-8 -*-
$:.push File.expand_path("../lib", __FILE__)
require "quandl/cassinatra/version"

Gem::Specification.new do |s|
  s.name        = "quandl_cassinatra"
  s.version     = Quandl::Cassinatra::VERSION
  s.authors     = ["Blake Hilscher"]
  s.email       = ["blake@hilscher.ca"]
  s.homepage    = "http://blake.hilscher.ca/"
  s.license     = "MIT"
  s.summary     = "Cassinatra rest orm."
  s.description = "An orm for the cassinatra rest interface."

  s.files         = `git ls-files`.split("\n")
  s.test_files    = `git ls-files -- {test,spec,features}/*`.split("\n")
  s.executables   = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
  s.require_paths = ["lib"]

  s.add_development_dependency "rake", "~> 10.0"
  s.add_development_dependency "rspec", "~> 2.13"
  s.add_development_dependency "factory_girl", "~> 4.2.0"
  s.add_development_dependency "fivemat", "~> 1.2"
  s.add_development_dependency "pry"

  s.add_runtime_dependency "activesupport", ">= 3.0.0"
  s.add_runtime_dependency "her", "0.6.7"
  s.add_runtime_dependency "yajl-ruby", "~> 1.1.0"
  s.add_runtime_dependency 'json', '~> 1.7.7'
  
  s.add_runtime_dependency "scope_composer", "~> 0.1"
  s.add_runtime_dependency "quandl_logger", "~> 0.1"
  s.add_runtime_dependency "quandl_operation", "~> 0.1"
  s.add_runtime_dependency "quandl_data", "~> 0.1"
  
end