# encoding: utf-8
require 'spec_helper'

describe Dataset do
  subject{ Dataset.find_existing(1) }
  its(:attributes){ should eq({ 'id' => 1 }) }
  its(:id){ should eq 1 }
  
  context "#reload" do
    before(:each){ subject.reload }
    its(:attributes){ should eq({ 'id' => 1 }) }
    its(:id){ should eq 1 }
  end
  
  context "#id" do
    before(:each){ subject.id = 2 }
    its(:attributes){ should eq({ 'id' => 2 }) }
    its(:id){ should eq 2 }
  
    context "#reload" do
      before(:each){ subject.reload }
      its(:attributes){ should eq({ 'id' => 2 }) }
      its(:id){ should eq 2 }
    end
  
  end
end