$:.unshift File.join(File.dirname(__FILE__), *%w[.. lib])

require "rspec"
require 'pry'
require 'factory_girl'

factory_dir = File.join( File.dirname(__FILE__), 'factories/**/*.rb' )
Dir.glob( factory_dir ).each{|f| require(f); puts f }

RSpec.configure do |config|
  config.include FactoryGirl::Syntax::Methods
end

require "quandl/fabricate"
require "quandl/cassinatra"
Quandl::Cassinatra.use 'http://192.168.33.10:8983/wikiposit_cassandra/'
# Quandl::Cassinatra.use 'http://localhost:9292/'
include Quandl::Cassinatra

# binding.pry